package com.xs.core.common.annotation;

import java.lang.annotation.*;

/**
 * 操作日志注解
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OperationLog {
    /**
     * 操作描述
     */
    String description() default "";

    /**
     * 操作类型（如：添加、修改、删除、查询等）
     */
    String operationType() default "";

    /**
     * 模块名称
     */
    String module() default "";
}
