package com.xs.core.common.enums;

/**
 * 任务回调日志类型枚举
 */
public enum TaskCallbackLogTypeEnum {
    START("start", "开始"),
    CALLBACK("callback", "回调");
    private String code;
    private String desc;

    TaskCallbackLogTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
