package com.xs.core.mapper.team;

import com.xs.core.model.team.entity.TeamShareRewardRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xs.core.model.team.resp.TeamShareUserResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 团队产出奖励记录 A B队抽成 Mapper 接口
 * </p>
 *
 * @author xudm
 * @since 2024-12-21
 */
public interface TeamShareRewardRecordMapper extends BaseMapper<TeamShareRewardRecord> {

    List<TeamShareUserResp> getTeamShareUserInfoByType(@Param("userId") Long userId, @Param("type") String type);
}
