package com.xs.core.service.Impl.competition;

import com.xs.core.mapper.user.UserMapper;
import com.xs.core.model.user.resp.TeamCompetitionResp;
import com.xs.core.model.user.resp.UserCompetitionResp;
import com.xs.core.service.competition.CompetitionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CompetitionServiceImpl implements CompetitionService {

    @Autowired
    private UserMapper userMapper;

    @Override
    public List<TeamCompetitionResp> teamInviteCompetitionRanking(int limit, int invitee) {
        return userMapper.teamInviteCompetitionRanking(limit, invitee);
    }

    @Override
    public List<UserCompetitionResp> individualGoldCoinCompetitionRanking(int limit) {
        return userMapper.individualGoldCoinCompetitionRanking(limit);
    }

    @Override
    public UserCompetitionResp getIndividualGoldCoinCompetitionInfo(Long userId) {
        return userMapper.getIndividualGoldCoinCompetitionInfo(userId);
    }
}
