package com.xs.core.mapper.team;

import com.xs.core.model.team.entity.TeamInviteRewardRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xs.core.model.team.resp.TeamInviteRewardsResp;

import java.util.List;

/**
 * <p>
 * 团队邀请奖励领取列表（每邀请一人奖励1000） Mapper 接口
 * </p>
 *
 * @author xudm
 * @since 2024-12-21
 */
public interface TeamInviteRewardRecordMapper extends BaseMapper<TeamInviteRewardRecord> {

    /**
     * 获取团队邀请奖励列表
     *
     * @param id
     * @return
     */
    List<TeamInviteRewardsResp> getTeamInviteRewardsRespList(Long id);
}
