package com.xs.core.model.task.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

@Data
@Schema(description = "任务信息查询请求参数")
public class TaskInfoReq implements Serializable {
    @Schema(description = "任务分类编码")
    private String categoryCode;

    @Schema(description = "语言,不需要传，后台自动获取")
    private String lang;

    @Schema(description = "任务id,开始任务和完成任务时传递，其他情况不需要传递")
    private String taskId;
}
