package com.xs.core.model.team.resp;

import com.xs.core.model.team.entity.InviteRewardsRule;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@Schema(description = "团队邀请奖励列表")
public class TeamInviteAvailableRewardsResp implements Serializable {
    /**
     * 邀请人数
     */
    @Schema(description = "邀请人数")
    private Long inviteNum;
    /**
     * 邀请奖励规则
     */
    @Schema(description = "邀请奖励规则")
    List<InviteRewardsRule> inviteRewardsRuleList;

    public TeamInviteAvailableRewardsResp(Long inviteNum, List<InviteRewardsRule> inviteRewardsRuleList) {
        this.inviteNum = inviteNum;
        this.inviteRewardsRuleList = inviteRewardsRuleList;
    }
}
