package com.xs.core.model.user.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@Schema(description = "金币排行榜信息")
public class GoldCoinLeaderboardInfo implements Serializable {
    @Schema(description = "金币排行榜信息")
    List<UserCompetitionResp> rankList;
    @Schema(description = "用户金币排行信息")
    UserCompetitionResp userInfo;

    public GoldCoinLeaderboardInfo(List<UserCompetitionResp> rankList, UserCompetitionResp userInfo) {
        this.rankList = rankList;
        this.userInfo = userInfo;
    }
}
