package com.xs.core.service.Impl.task;

import com.xs.core.common.content.UserContext;
import com.xs.core.common.content.UserContextHolder;
import com.xs.core.model.task.entity.TaskInfo;
import com.xs.core.mapper.task.TaskInfoMapper;
import com.xs.core.model.task.req.TaskInfoReq;
import com.xs.core.model.task.resp.TaskInfoResp;
import com.xs.core.service.task.ITaskInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 任务信息表 服务实现类
 * </p>
 *
 * @author xudm
 * @since 2024-12-23
 */
@Service
public class TaskInfoServiceImpl extends ServiceImpl<TaskInfoMapper, TaskInfo> implements ITaskInfoService {

    @Override
    public List<TaskInfoResp> getTaskInfoList(TaskInfoReq req, Long userId) {
        // 获取任务列表
        return getBaseMapper().getTaskInfoList(req.getCategoryCode(), req.getLang(), userId);
    }
}
