package com.xs.core.service.Impl.team;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xs.core.model.team.entity.TeamInviteRewardRecord;
import com.xs.core.mapper.team.TeamInviteRewardRecordMapper;
import com.xs.core.model.team.resp.TeamInviteRewardsResp;
import com.xs.core.service.team.ITeamInviteRewardRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 团队邀请奖励领取列表（每邀请一人奖励1000） 服务实现类
 * </p>
 *
 * @author xudm
 * @since 2024-12-21
 */
@Service
public class TeamInviteRewardRecordServiceImpl extends ServiceImpl<TeamInviteRewardRecordMapper, TeamInviteRewardRecord> implements ITeamInviteRewardRecordService {

    @Override
    public List<TeamInviteRewardsResp> getTeamInviteRewardRecordList(Long id) {
        return getBaseMapper().getTeamInviteRewardsRespList(id);
    }
}
