package com.xs.core.service.log;

import com.xs.core.model.log.entity.SysAppLog;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * app端系统操作日志表 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-24
 */
public interface ISysAppLogService extends IService<SysAppLog> {
    /**
     * 保存app端操作日志
     *
     * @param operation     操作描述
     * @param operationType 操作类型
     * @param module        模块
     * @param method        方法
     * @param params        参数
     * @param result        结果
     * @param e             异常
     */
    void saveAppLog(String operation, String operationType, String module,
                    String method, Object params, Object result, long time, Exception e);
}
