package com.xs.core.service.task;

import com.xs.core.model.task.entity.TaskInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xs.core.model.task.req.TaskInfoReq;
import com.xs.core.model.task.resp.TaskInfoResp;

import java.util.List;

/**
 * <p>
 * 任务信息表 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-23
 */
public interface ITaskInfoService extends IService<TaskInfo> {

    /**
     * 获取任务信息列表
     *
     * @param req 请求参数
     */
    List<TaskInfoResp> getTaskInfoList(TaskInfoReq req, Long userId);

}
