package com.xs.core.service.team;

import com.xs.core.model.team.entity.InviteTaskRewardsFetchRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 邀请用户任务金币奖励领取记录 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-23
 */
public interface IInviteTaskRewardsFetchRecordService extends IService<InviteTaskRewardsFetchRecord> {
    /**
     * 获取最后一条记录
     *
     * @param id 用户id
     */
    InviteTaskRewardsFetchRecord getLastByUserId(Long id);

    InviteTaskRewardsFetchRecord getByRuleId(String ruleId);
}
